Public Member Functions

# BinNavi.API.debug.TraceLogger Class Reference

Creates debug event trace logs. More...

List of all members.

## Public Member Functions
Trace | start (final String name, final String description, final List< TracePoint > addresses) throws CouldntSaveDataException
| Starts trace logging.
void | stop ()
| Stops trace logging.
String | toString ()
| Printable representation of the trace logger.
| TraceLogger (final Debugger debugger, final Module module)
| Creates a new trace logger.
| TraceLogger (final Debugger debugger, final Project project)
| Creates a new trace logger.

## Detailed Description

Using this class it is possible to create trace logs of echo breakpoint events.

## Constructor & Destructor Documentation

BinNavi.API.debug.TraceLogger.TraceLogger | ( | final Debugger | debugger,
|  | final Module | module |
| ) |  |  |

Creates a new trace logger.

Parameters:

  | debugger | The debugger that sets the echo breakpoints.
  | module | The module the logged trace belongs to.

BinNavi.API.debug.TraceLogger.TraceLogger | ( | final Debugger | debugger,
|  | final Project | project |
| ) |  |  |

Creates a new trace logger.

Parameters:

  | debugger | The debugger that sets the echo breakpoints.
  | project | The project the logged trace belongs to.

## Member Function Documentation

Trace BinNavi.API.debug.TraceLogger.start | ( | final String | name,
|  | final String | description,
|  | final List< TracePoint > | addresses |
| ) |  |  | throws CouldntSaveDataException

Starts trace logging with this logger.

Parameters:

  | name | The name of the new trace.
  | description | The description of the new trace.
  | addresses | List of addresses where echo breakpoints should be set.

Returns:
  The created event trace.

Exceptions:

  | CouldntSaveDataException | Thrown if the event trace could not be written to the database.

void BinNavi.API.debug.TraceLogger.stop | ( |  | ) |

Removes all echo breakpoints and stops trace logging.

String BinNavi.API.debug.TraceLogger.toString | ( |  | ) |

Returns a string representation of the trace logger.

Returns:
  A string representation of the trace logger.